﻿# Adaptive Images provider for NTB Mediebank - Episerver 11

CoWorkFlow.AdaptiveImages.NTBMediebank.CMS11

Requires NTB Mediebank DAM. Makes Mediebank images searchable in the Episerver CMS 11 UI for use with the Adaptive Images add-on.

To use:

   Add the three settings below to your web.config file
   You can generate ClientId and ClientSecret at [NTB Mediebank](https://mediebank.ntb.no/c/settings/organization/clients) to appsettings in web.config, like so
 
 ```
  <appSettings>
     <add key="mediebank.Enabled" value="true" />
     <add key="mediebank.ClientId" value="client id which you get from NTB Mediebank" />
     <add key="mediebank.ClientSecret" value="client secret for NTB Mediebank" />
```
  The Mediebank adapter will register with Episerver 11 when the "mediebank.Enabled" setting is set to "true"

 Made by [CoWork](https://cowork.no)